Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class SpreadMap

    java.lang.Object
      java.util.AbstractMap
          java.util.HashMap
              groovy.lang.SpreadMap

    public class SpreadMap
    extends HashMap

Represents a spreadable map which extends java.util.HashMap.

Authors:
  Pilho Kim

Version:
  \$Revision: 6778 \$

Constructor Summary
`SpreadMap(Object[] values)`
`SpreadMap(Map map)`

Method Summary
`boolean` | `equals(Object that)`
`boolean` | `equals(SpreadMap that)`
`Object` | `get(Object obj)`
`int` | `hashCode()`
`Object` | `put(Object key, Object value)`
`void` | `putAll(Map t)`
`Object` | `remove(Object key)`
`int` | `size()`
`String` | `toString()` Returns the string expression of `this`.

Methods inherited from class HashMap
get, put, values, clone, clear, isEmpty, size, entrySet, putAll, remove, keySet, containsKey, containsValue, equals, toString, hashCode, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class AbstractMap
get, put, equals, toString, values, hashCode, clear, isEmpty, size, entrySet, putAll, remove, keySet, containsKey, containsValue, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### SpreadMap

    public SpreadMap(Object[] values)

### SpreadMap

    public SpreadMap(Map map)

Method Detail

### equals

    public boolean equals(Object that)

### equals

    public boolean equals(SpreadMap that)

### get

    public Object get(Object obj)

### hashCode

    public int hashCode()

### put

    public Object put(Object key, Object value)

### putAll

    public void putAll(Map t)

### remove

    public Object remove(Object key)

### size

    public int size()

### toString

    public String toString()

  Returns the string expression of `this`.
  Returns:
    the string expression of `this`

Copyright © 2003-2010 The Codehaus. All rights reserved.